- name: Read custom facts that could already exist
  setup:
    fact_path: "{{ facts_dir }}"
    filter: ansible_local

- set_fact:
    nat_ips: "{{ ansible_local['terraform_outputs'].nat_ips.value }}"

- set_fact:
    tpfs_consensus_values:
      address: "{{ ansible_local['consensus_keys'].authority_address }}"
      ip_address_ranges: "{{ nat_ips }}"
      aura_session_key: "{{ ansible_local['consensus_keys'].session_produce_blocks_public_key }}"
      grandpa_session_key: "{{ ansible_local['consensus_keys'].session_finalize_blocks_public_key }}"
      encryption_pub_key: "{{ ansible_local['encryption_key'].public_key }}"
      bootnode_url: "/dns4/{{ peering_domain_name }}/tcp/{{ xand_node_tcp_port }}/p2p/{{ peering.libp2p_keys.libp2p_peering_id }}"
      peer_id: "{{ peering.libp2p_keys.libp2p_peering_id }}"
      company_name: "{{ company_name }}"

- name: Save to Disk Transparent Financial Systems values
  copy:
    content: "{{ tpfs_consensus_values | to_nice_json }}"
    dest: "{{ (facts_dir, 'tpfs_consensus_values.fact') | path_join }}"

- name: Print out Xand Validator values
  pause:
    prompt: "Send the following to Transparent Financial Systems:\n{{ tpfs_consensus_values | to_yaml }}\n\n"
    seconds: 5
